#include <bits/stdc++.h>

using namespace std;

bool sortbysec(const pair<int,int> &a,
              const pair<int,int> &b)
{
    return (a.second < b.second);
}

int main()
{
    long long int n;
    int sol = 0;
    cin >> n;
    pair <long long int, long long int> par;
    vector < pair <long long int, long long int> > niz;


    for(long long int i = 0; i < n; i++)
    {
        cin >> par.first >> par.second;
        niz.push_back(par);
    }

    sort(niz.begin(), niz.end());///sort po niz.first

    for(long long int i = 0; i < n - 1; i++)
        if(niz[i].first == niz[i + 1].first)
            sol++;

    sort(niz.begin(), niz.end(), sortbysec);///sort po niz.second
    
    for(long long int i = 0; i < n - 1; i++)
        if(niz[i].second == niz[i + 1].second)
            sol++;

    cout << sol;

    return 0;
}